summaryrefslogtreecommitdiffstats
path: root/test/repos/case_insensitive_checkouts.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/repos/case_insensitive_checkouts.sh')
-rwxr-xr-xtest/repos/case_insensitive_checkouts.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/test/repos/case_insensitive_checkouts.sh b/test/repos/case_insensitive_checkouts.sh
new file mode 100755
index 000000000..23997a670
--- /dev/null
+++ b/test/repos/case_insensitive_checkouts.sh
@@ -0,0 +1,16 @@
+#!/bin/bash
+set -ex; rm -rf repo; mkdir repo; cd repo
+
+git init
+
+touch foo
+git add foo
+git commit -m "init"
+git branch -a
+git branch test
+git branch TEST
+git checkout TEST
+git checkout TeST
+git checkout TesT
+git checkout TEsT
+git branch -a \ No newline at end of file